tigase.jaxmpp.j2se.filetransfer

## Class FileTransferNegotiatorAbstract

- java.lang.Object
- - tigase.jaxmpp.j2se.filetransfer.FileTransferNegotiatorAbstract

- All Implemented Interfaces:
    ContextAware, FileTransferNegotiator
  Direct Known Subclasses:
    JingleFileTransferNegotiator, Socks5FileTransferNegotiator

      public abstract class FileTransferNegotiatorAbstract
      extends Object
      implements FileTransferNegotiator

  Author:
    andrzej

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.j2se.filetransfer.FileTransferNegotiator

      `FileTransferNegotiator.NegotiationFailureHandler, FileTransferNegotiator.NegotiationRejectHandler, FileTransferNegotiator.NegotiationRequestHandler, FileTransferNegotiator.NegotiationSuccessHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Context` | `context`
    `protected FileTransferManager` | `ftManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileTransferNegotiatorAbstract()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `fireOnFailure(FileTransfer ft, Throwable ex)`
    `protected void` | `fireOnReject(FileTransfer ft)`
    `protected void` | `fireOnRequest(SessionObject sessionObject, FileTransfer fileTransfer)`
    `protected void` | `fireOnSuccess(FileTransfer ft)`
    `void` | `setContext(Context context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.jaxmpp.j2se.filetransfer.FileTransferNegotiator

      `acceptFile, getFeatures, isSupported, registerListeners, rejectFile, sendFile, unregisterListeners`

- - ### Field Detail

    - #### context

          protected Context context

    - #### ftManager

          protected FileTransferManager ftManager

  - ### Constructor Detail

    - #### FileTransferNegotiatorAbstract

          public FileTransferNegotiatorAbstract()

  - ### Method Detail

    - #### fireOnFailure

          protected void fireOnFailure(FileTransfer ft,
                                       Throwable ex)

    - #### fireOnReject

          protected void fireOnReject(FileTransfer ft)

    - #### fireOnRequest

          protected void fireOnRequest(SessionObject sessionObject,
                                       FileTransfer fileTransfer)

    - #### fireOnSuccess

          protected void fireOnSuccess(FileTransfer ft)

    - #### setContext

          public void setContext(Context context)

      Specified by:
        `setContext` in interface `ContextAware`

Copyright © 2006–2016 Tigase. All rights reserved.